<template lang='pug'>
mixin prop(name)
  li #[strong.text-info= name+': ']
    block

Example(title='ParamLED & LED Example' :maxState="1")
  template(v-slot:description)
    h5 This is a ParamLED example
    p Click on the #[em animate] to toggle edit mode.
    p Click on #[em code] to view and modify its code.

  template(v-slot:interface)
    div #[strong Properties:]
      ul
        +prop("title") the title (ParamLED only)
        +prop("blink")
          | enable/disabled the LED blinking. Enabled if true (default: false)
        +prop("value")
          | can be a boolean or a string (default: false):
          ul
            li
              | boolean to switch the LED ON when true and OFF when false,
              | using #[em yellow] as default color;
            li
              | string to switch the LED ON using the
              a.mx-1(href="https://developer.mozilla.org/en-US/docs/Web/CSS/color_value" target="_blank" rel="nooper")
                | CSS color
              | passed to it
    div #[strong Computed:]
      ul
        +prop("actualColor") the actual LED color

    div
      | #[strong.text-info Note:] it is possible to pick up a color from the
      a.mx-1(href="https://getbootstrap.com/docs/4.6/getting-started/theming/#available-variables" target="_blank" rel="nooper")
        | predefined CSS custom colors
      | which changes according to the selected theme (light or dark).
    div
      | #[strong.text-info Note:] the label position with rispect to the LED
      | can be changed by adding one of the following CSS classes to this component:
      ul
        li #[strong b-label-right], to place the label to the right of the LED (default);
        li #[strong b-label-left], to place the label to the left of the LED.

  template(v-slot:code)
    template(v-pre).
      .row.justify-content-around.align-items-center.b-param-container
        BaseLED(label='Yellow LED' :value='state !== 0')
        BaseParamCard.col-12.col-sm-6(title='LEDs group in row')
          .col-12.d-flex.justify-content-around.align-items-center
            BaseLED.b-label-left(label='Green LED' :value='state !== 0 ? "var(--green)" : false')
            BaseLED.b-label-left(label='Red LED' :value='state !== 0 ? "var(--red)" : false')
        BaseParamCard.col-12.col-sm-3(title='LED group in column')
          .col-12.d-flex.justify-content-center.align-items-center
            .d-flex.flex-column.justify-content-start
              BaseLED.b-label-right(label='Blue LED' :value='state !== 0 ? "var(--blue)" : false')
              BaseLED.b-label-right(label='Blinking LED' :value='state !== 0' :blink='true')
        BaseParamLED.col-12.col-sm-5(title="Simple LED Param" :value='state !== 0')
        BaseParamLED.col-12.col-sm-5(title="Blinking LED Param" :value='state !== 0' :blink='true')
</template>
<script>

import Example from "./AppExample.vue";

export default {
  name: "ExampleParamLED",
  components: { Example }
};

</script>


